// START CONFIG ==========================================================
thick = 10;
height = 10;
feet_len = 15;

rod_x = 0;
rod_top = 25;

screw_diam = 3.2;
board_hole_size = 4;

screw_thick = 5;
rod_y = 86 + screw_thick;

// END CONFIG ==========================================================

a = thick;
b = feet_len;
c = thick*0.8;
sd = screw_diam + 0.25;
bhole = board_hole_size + 0.25;
bracket_hole_spacing = 20.32;

module poly() {
    polygon(
        points=[
            [0,0], [0,screw_thick], [b,screw_thick], [b+rod_x,rod_y],
            [b+rod_x+rod_top,rod_y],
            [b+rod_x+rod_top,rod_y-5], [b+rod_x+c,rod_y-5],
            [b+c, 0]
        ]
    );
};

// holes
difference() {
    linear_extrude(height=height) {poly();};
    // hole board mount 1
    translate([feet_len/2, thick/2, height/2]) rotate(90, [1,0,0]) {cylinder(h=thick*2, r=bhole/2, center=true, $fs=1);};
}